Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.utils
Class SAXDocumentFilter

    java.lang.Object
      org.jasig.portal.utils.SAX2FilterImpl
          org.jasig.portal.utils.SAXDocumentFilter

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler, org.xml.sax.XMLFilter, org.xml.sax.XMLReader

    public class SAXDocumentFilter

extends SAX2FilterImpl

Filters out startDocument and endDocument from the channel content.

Version:
  $Revision: 1.3 $
Author:
  Peter Kharchenko

Field Summary

Fields inherited from class org.jasig.portal.utils.SAX2FilterImpl
`contentHandler, dtdHandler, entityResolver, errorHandler, lexicalHandler, locator, log`

Constructor Summary
`SAXDocumentFilter(org.xml.sax.ContentHandler handler)`
`SAXDocumentFilter(org.xml.sax.XMLReader parent)`

Method Summary
`void` | `endDocument()` Filter an end document event.
`void` | `startDocument()` Filter a start document event.

Methods inherited from class org.jasig.portal.utils.SAX2FilterImpl
`characters, comment, endCDATA, endDTD, endElement, endEntity, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, parse, parse, processingInstruction, resolveEntity, setAllHandlers, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setLexicalHandler, setParent, setProperty, skippedEntity, startCDATA, startDTD, startElement, startEntity, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXDocumentFilter

    public SAXDocumentFilter(org.xml.sax.ContentHandler handler)

### SAXDocumentFilter

    public SAXDocumentFilter(org.xml.sax.XMLReader parent)

Method Detail

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Description copied from class: `SAX2FilterImpl`
  Filter a start document event.

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startDocument` in class `SAX2FilterImpl`
  Throws:
    `org.xml.sax.SAXException` - The client may throw an exception during processing.
  See Also:
    `ContentHandler.startDocument()`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Description copied from class: `SAX2FilterImpl`
  Filter an end document event.

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endDocument` in class `SAX2FilterImpl`
  Throws:
    `org.xml.sax.SAXException` - The client may throw an exception during processing.
  See Also:
    `ContentHandler.endDocument()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD